package com.red.circle.other.infra.database.cache.key;

import com.red.circle.component.redis.RedisKeys;

/**
 * @author pengliang on 2022/7/28
 */
public enum GameLuckBoxKeys implements RedisKeys {

  /**
   * 奖金池.
   */
  POOL,

  /**
   * Lucky抽成.
   */
  LUCKY_DRAW_RATIO,

  /**
   * 奖金池投入比率.
   */
  POOL_PUT_RATIO,

  /**
   * 累计抽取.
   */
  EXTRACT,

  /**
   * LuckyBox 收入.
   */
  @Deprecated
  LUCKY_BOX_INCOME,

  /**
   * LuckyBox 幸运榜单用户.
   */
  @Deprecated
  LUCKY_BOX_TOP_USER,

  /**
   * LuckyBox 支出.
   */
  LUCKY_BOX_EXPENDITURE,

  ;

  @Override
  public String businessPrefix() {
    return "GAME_LUCK_BOX";
  }

  @Override
  public String businessKey() {
    return this.name();
  }
}
